summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbluemeda2016-03-17 13:45:09 +0700
committerbluemeda2016-03-17 13:45:09 +0700
commitd8c06e4b27247d9d6469bbbb428e32d457e5308d (patch)
treee969ec329db3778f1b24e09bc0c3e931d36bcae5
downloadaur-d8c06e4b27247d9d6469bbbb428e32d457e5308d.tar.gz
initial commit
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD19
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fd8adf995f0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = spotify-ripper
+ pkgdesc = a small ripper for Spotify that rips Spotify URIs to audio files
+ pkgver = 2.8.3
+ pkgrel = 1
+ url = https://github.com/jrnewell/spotify-ripper
+ arch = any
+ license = MIT
+ makedepends = python2-setuptools
+ depends = python2
+ depends = python2-pyspotify=2.0.5
+ depends = python2-colorama>=0.3.3
+ depends = python2-mutagen-1.30
+ depends = python2-requests>=2.3.0
+ depends = python2-schedule>=0.3.1
+ depends = lame
+ optdepends = flac: Rip songs to lossless FLAC encoding
+ optdepends = opus-tools: Rip songs to Opus encoding
+ optdepends = vorbis-tools: Rip songs to Ogg Vorbis encoding
+ optdepends = faac: Rip songs to AAC format with FreeAAC
+ optdepends = libav-git-no-libs: Rip songs to Apple Lossless format
+ optdepends = fdkaac: Rip songs to MP4/M4A format with Fraunhofer FDK AAC codec
+ source = https://pypi.python.org/packages/source/s/spotify-ripper/spotify-ripper-2.8.3.tar.gz
+ md5sums = 0bceb5bf5308adc8beaf83b57bff0831
+
+pkgname = spotify-ripper
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..cc5f1af54a8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,19 @@
+# Maintainer: bluemeda <affif[dot]bluemeda[at]gmail[dot]com>
+_name=spotify-ripper
+pkgname=spotify-ripper
+pkgver=2.8.3
+pkgrel=1
+pkgdesc='a small ripper for Spotify that rips Spotify URIs to audio files'
+arch=('any')
+url="https://github.com/jrnewell/$_name"
+license=('MIT')
+depends=('python2' 'python2-pyspotify=2.0.5' 'python2-colorama>=0.3.3' 'python2-mutagen-1.30' 'python2-requests>=2.3.0' 'python2-schedule>=0.3.1' 'lame')
+optdepends=('flac: Rip songs to lossless FLAC encoding' 'opus-tools: Rip songs to Opus encoding' 'vorbis-tools: Rip songs to Ogg Vorbis encoding' 'faac: Rip songs to AAC format with FreeAAC' 'libav-git-no-libs: Rip songs to Apple Lossless format' 'fdkaac: Rip songs to MP4/M4A format with Fraunhofer FDK AAC codec')
+makedepends=('python2-setuptools')
+source=("https://pypi.python.org/packages/source/s/$_name/$_name-$pkgver.tar.gz")
+md5sums=('0bceb5bf5308adc8beaf83b57bff0831')
+
+package() {
+ cd "$srcdir/$_name-$pkgver"
+ python2 setup.py install --root="$pkgdir" --optimize=1 || return 1
+}